package AST.Visitor;

import AST.*;

public class PrettyPrintVisitor implements Visitor {
  // Exp e;
  public void visit(Return n) {
    System.out.print("return ");
    n.e.accept(this);
    System.out.print(";");
  }
  
  // Identifier i;
  // Exp e;
  public void visit(Assign n) {
    n.i.accept(this);
    System.out.print(" = ");
    n.e.accept(this);
    System.out.print(";");
  }

  // Exp e1,e2;
  public void visit(Plus n) {
    System.out.print("(");
    n.e1.accept(this);
    System.out.print(" + ");
    n.e2.accept(this);
    System.out.print(")");
  }

  // String s;
  public void visit(IdentifierExp n) {
    System.out.print(n.s);
  }

  // String s;
  public void visit(Identifier n) {
    System.out.print(n.s);
  }
}
